Bug 1354495 - v2v: import dialog - "external provider" field is not refreshed when changing DC field value
Summary: v2v: import dialog - "external provider" field is not refreshed when changing...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.0.1
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.0.2
: 4.0.2.1
Assignee: Sharon Gratch
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 12:31 UTC by Sharon Gratch
Modified: 2016-08-25 12:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-25 12:16:02 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.z+
rule-engine: exception+
mgoldboi: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60930 master MERGED webadmin: v2v-"external provider" refreshed by DC 2016-07-19 08:42:07 UTC
oVirt gerrit 61270 ovirt-engine-4.0 MERGED webadmin: v2v-"external provider" refreshed by DC 2016-07-25 11:16:28 UTC
oVirt gerrit 61278 ovirt-engine-4.0.2 MERGED webadmin: v2v-"external provider" refreshed by DC 2016-07-25 11:13:49 UTC

Description Sharon Gratch 2016-07-11 12:31:02 UTC
Description of problem:
In v2v/import dialog, the "External Provider" field values are refreshed only for "Source" field value changes and not for "Data Center" field value changes as required.

In case there is an "external provider" exists for an "external source" and data center, opening the import vms dialog and first selecting the relevant dc and then selecting the relevant external source, caused the "external Provider" field values to stay as is and not refreshed according to the selected datacenter and therefore the appropriate external provider is not available to be chosen.

Only after re-selecting the external source, the External Provider field is refreshed.


Version-Release number of selected component (if applicable):
4.0.1

How reproducible:
100%

Steps to Reproduce:
1.Declare an "external provider" for a specific external source and datacenter.
2.Open the "import Virtual machine(s) (v2v) dialog and first select the relevant datacenter and then select the relevant external source.
3.Open the pull down menu of the "External Provider" field.

Actual results:
the appropriate "external provider" declared in (1) is not displayed in pull down menu.

Expected results:
the appropriate "external provider" declared in (1) should be displayed.

Comment 1 Sharon Gratch 2016-07-21 12:08:04 UTC
not backported to 4.0 branch

Comment 2 Michal Skrivanek 2016-07-25 10:12:03 UTC
trivial one-liner for 4.0.2

Comment 3 Nisim Simsolo 2016-08-22 13:26:13 UTC
Verified: 
ovirt-engine-4.0.2.7-0.1.el7ev
qemu-kvm-rhev-2.3.0-31.el7_2.21.x86_64
vdsm-4.18.11-1.el7ev.x86_64
libvirt-client-1.2.17-13.el7_2.5.x86_64


Note You need to log in before you can comment on or make changes to this bug.